## org.apache.lucene.util
Class SetOnce.AlreadySetException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalStateException
                      org.apache.lucene.util.SetOnce.AlreadySetException

All Implemented Interfaces:
  Serializable

Enclosing class:
  SetOnce<T>

    public static final class SetOnce.AlreadySetException

extends IllegalStateException

Thrown when `SetOnce.set(Object)` is called more than once.

See Also:
  Serialized Form

Constructor Summary
`SetOnce.AlreadySetException()`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SetOnce.AlreadySetException

    public SetOnce.AlreadySetException()

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.